# The package as a whole is copyright (c) Erik Kunze; the individual
# programs in the package are copyright (c) by their respective owners
# and licensed to Erik Kunze.
#
# Permission to use and distribute this software and its documentation
# for any purpose is hereby granted without fee, provided that the above
# copyright notice appear in all copies and that both that copyright notice
# and this permission notice appear in supporting documentation, and that the
# name of the copyright holder not be used in advertising or publicity
# pertaining to distribution of the software without specific, written prior
# permission.  The copyright holder makes no representations about the
# suitability of this software for any purpose.  It is provided "as is"
# without express or implied warranty.
#
# The package as a whole may not be modified in any way without permission.
# Please refer to the documentation of the individual programs for further
# information about their separate distribution policy.
#
# THE COPYRIGHT HOLDER DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
# EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE FOR ANY SPECIAL, INDIRECT OR
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
# DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
# TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.
#
# Author: Erik Kunze
#

Summary:	Contribution programs for the XZX emulator
Name:		xzx-contrib
Version:	2.7.5
Release:	1
Copyright:	1995-1999 Erik Kunze
Group:		Applications/Emulators
URL:		http://www.philosys.de/~kunze/xzx/
Source0:	http://www.philosys.de/~kunze/xzx/files/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-root

%description
Additional programs for the XZX emulator:

ddtrans    - The program works on exact disc-images made with the command 'dd',
             which hopefully for you, supports DDDSDT disks.  It will also make
             newly formatted discs for the emulator.

microdrive - Script to create empty .MDR cartridge files that can be used with
             the emulator.

cpcfs      - CPCFS is a program to maintain filesystems that are needed by the
             Spectrum +3 emulation of XZX.

scr2gif    - Convert files from .SCR into .GIF format.

chkrom     - Calculate and print checksum over ROM image files.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" ./configure \
	--prefix=%{_prefix}
make

%install
make DESTDIR="${RPM_BUILD_ROOT}" install

%files
%defattr( - ,root,root)
%doc COPYING INSTALL README ChangeLog TODO
%{_prefix}/bin/ddtrans
%{_prefix}/bin/mkcart.script
%{_prefix}/bin/cpcfs
%{_prefix}/bin/scr2gif
%{_prefix}/bin/chkrom
%{_prefix}/lib/xzx-contrib/180k.dsk
%{_prefix}/lib/xzx-contrib/360k.dsk
%{_prefix}/lib/xzx-contrib/720k.dsk
%{_prefix}/lib/xzx-contrib/cpcfs.doc
%{_prefix}/lib/xzx-contrib/cpcfs.hlp
%{_prefix}/lib/xzx-contrib/cpcfs.cfg

%changelog
* Tue Mar 14 2000 Pierre Scotney <pierre@mail.medstv.unimelb.edu.au>
- cleaned up spec file

